Package org.opensaml.storage.impl.client

# Class ClientStorageLoadContext

java.lang.Object
org.opensaml.messaging.context.BaseContext
org.opensaml.storage.impl.client.ClientStorageLoadContext

All Implemented Interfaces:
  `Iterable<BaseContext>`

public class ClientStorageLoadContext extends BaseContext
A subcontext for driving the loading of data from a client into one or more instances of a `ClientStorageService`.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.opensaml.messaging.context.BaseContext

`BaseContext.ContextSetNoRemoveIteratorDecorator, BaseContext.DeprecatedContextClassNameLookAside`

## Field Summary

Fields
Modifier and Type
Field
Description
`private Collection<String>`
`storageKeys`
The collection of storage keys to load from the client.

## Constructor Summary

Constructors
Constructor
Description
`ClientStorageLoadContext()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`Collection<String>`
`getStorageKeys()`
Get the collection of storage keys to load from the client.

### Methods inherited from class org.opensaml.messaging.context.BaseContext

`addSubcontext, addSubcontext, clearSubcontexts, containsSubcontext, createSubcontext, ensureSubcontext, ensureSubcontext, getParent, getSubcontext, getSubcontext, getSubcontext, getSubcontext, iterator, removeFromParent, removeSubcontext, removeSubcontext, setParent`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Field Details

### storageKeys

@Nonnull private Collection<String> storageKeys
The collection of storage keys to load from the client.

## Constructor Details

### ClientStorageLoadContext

public ClientStorageLoadContext()
Constructor.

## Method Details

### getStorageKeys

@Nonnull @Live public Collection<String> getStorageKeys()
Get the collection of storage keys to load from the client.

Returns:
  modifiable collection of storage keys to load from the client